@setlocal
@echo off
@REM IBM Confidential OCO Source Material
@REM 5724-J34 (C) COPYRIGHT International Business Machines Corp. 2015
@REM The source code for this program is not published or otherwise divested
@REM of its trade secrets, irrespective of what has been deposited with the
@REM U.S. Copyright Office.
@REM

set installDir=%~dp0\..

@REM Source environment variables
call "%installDir%\wxs\exportCommons.bat"

set serverName=%1

IF "%serverName%" == "" GOTO Usage

set serverFound=0
for /f "delims=" %%a in ('dir "%installDir%\wlp\usr\servers" /on /d /b') do (
	IF "%%a" == "%serverName%" (
		set serverFound=1
	) 
)

IF %serverFound% == 0 (
	echo ************* ERROR : Server Name : %serverName% is not found.
	GOTO Usage
)

net stop XS-Nanny-Watch-Dog

cd ..\..\..\

echo ************* ATTENTION : WatchDog Service is not running! Please start WatchDog by StartWatchDog.bat 

echo Stopping Server :  %serverName% ...

call "%installDir%\wlp\bin\server" stop %serverName% --clean




:Usage
echo [Usage] : stopServer [serverName]
echo [Server List] :
for /f "delims=" %%a in ('dir "%installDir%\wlp\usr\servers" /on /d /b') do (
	IF NOT "%%a" == ".classCache" IF NOT "%%a" == ".logs" echo %%a 
)

@endlocal