@echo off
@REM IBM Confidential OCO Source Material
@REM 5724-J34 (C) COPYRIGHT International Business Machines Corp. 2015
@REM The source code for this program is not published or otherwise divested
@REM of its trade secrets, irrespective of what has been deposited with the
@REM U.S. Copyright Office.
@REM

set installDir=%~dp0\..

set serverName=%1

IF "%serverName%" == "" GOTO Usage

@REM Source environment variables
call "%installDir%\wxs\exportCommons.bat"

IF "%serverName%" == "All" ( goto startWatchDog ) else ( goto startServer )


:startWatchDog
net start XS-Nanny-Watch-Dog
Exit /B

:startServer
set serverFound=0
for /f "delims=" %%a in ('dir "%installDir%\wlp\usr\servers" /on /d /b') do (
	IF "%%a" == "%serverName%" (
     	set serverFound=1
		call "%installDir%\wlp\bin\server" start %serverName% --clean
	)
)
IF %serverFound% == 0 (
	echo ************* ERROR : Server Name : %serverName% is not found.
	GOTO Usage
)

Exit /B

:Usage
echo [Usage] : startServer [serverName]
echo [Usage] : startServer All - Start WatchDog Service and all XSLD servers
echo [Server List] :
for /f "delims=" %%a in ('dir "%installDir%\wlp\usr\servers" /on /d /b') do (
	IF NOT "%%a" == ".classCache" IF NOT "%%a" == ".logs" echo %%a 
)


